document.getElementById('madlibForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  // Get all input values
  const inputs = Array.from(document.querySelectorAll('#madlibForm input'));
  const values = inputs.map(input => input.value);
  
  // Generate story
  const story = `Once upon a time, a brave adventurer decided to ${values[0]} through the ${values[1]} ${values[2]} forest. 
  They ${values[3]} over a ${values[4]} ${values[5]} river and found a ${values[6]} ${values[7]} that was ${values[8]}.
  After ${values[9]} for hours, they discovered a ${values[10]} ${values[11]} cave. Inside, they ${values[12]} a ${values[13]} 
  ${values[14]} treasure chest. With a ${values[15]} ${values[16]} key, they unlocked the chest and found...`;
  
  // Display story
  const storyContent = document.querySelector('.story-content');
  storyContent.textContent = story;
  document.getElementById('story').classList.remove('hidden');
  
  // Show treasure button after a delay
  setTimeout(() => {
    document.querySelector('.treasure-button').classList.remove('hidden');
  }, 2000);
});

document.querySelector('.treasure-button').addEventListener('click', function() {
  document.getElementById('story').classList.add('hidden');
  document.getElementById('treasure').classList.remove('hidden');
  
  // Animate treasure chest
  const lid = document.querySelector('.treasure-lid');
  lid.style.transform = 'rotateX(-45deg)';
});